---
import type { Page } from "../types";

interface Props {
  pages: Page[];
  id: string;
  rootId: string;
  sectionId?: string;
}

const { pages, id, rootId, sectionId } = Astro.props;
---

<nav
  role="navigation"
  aria-label="Menu latéral"
  class="fr-sidemenu fr-sidemenu--sticky-full-height fr-mb-0-5v"
>
  <div class="fr-sidemenu__inner fr-pt-12v">
    <button
      aria-controls="sidemenu"
      aria-expanded="false"
      class="fr-sidemenu__btn"
      data-fr-js-collapse-button="true"
    >
      Dans cette rubrique
    </button>
    <div id="sidemenu" class="fr-collapse" data-fr-js-collapse="true">
      <ul class="fr-sidemenu__list" data-fr-js-sidemenu-list="true">
        {
          pages.map((a) => (
            <li class="fr-sidemenu__item" data-fr-js-sidemenu-item="true">
              {a.pages?.length && (
                <Fragment>
                  <button
                    id={`sidemenu__btn-${a.id}`}
                    aria-expanded={`${sectionId === a.id}`}
                    aria-controls={a.id}
                    class="fr-sidemenu__btn"
                    data-fr-js-collapse-button="true"
                  >
                    {a.title}
                  </button>
                  <div
                    id={a.id}
                    class="fr-collapse fr-colapse fr-collapse--expanded"
                    data-fr-js-collapse="true"
                    style="--collapse: -160px; --collapse-max-height: none;"
                  >
                    <ul
                      class="fr-sidemenu__list"
                      data-fr-js-sidemenu-list="true"
                    >
                      {a.pages.map((b) => (
                        <li
                          class={`fr-sidemenu__item${
                            id === b.id ? " fr-sidemenu__item--active" : ""
                          }`}
                          data-fr-js-sidemenu-item="true"
                        >
                          {id === b.id && (
                            <a
                              href={`/${rootId}/${b.id}`}
                              aria-current="page"
                              class="fr-sidemenu__link router-link-exact-active router-link-active"
                              id={`sidemenu__link-${b.id}`}
                              target="_self"
                            >
                              {b.title}
                            </a>
                          )}
                          {id !== b.id && (
                            <a
                              href={`/${rootId}/${b.id}`}
                              class="fr-sidemenu__link"
                              id={`sidemenu__link-${b.id}`}
                              target="_self"
                            >
                              {b.title}
                            </a>
                          )}
                        </li>
                      ))}
                    </ul>
                  </div>
                </Fragment>
              )}
              {!a.pages?.length && id === a.id && (
                <a
                  href={`/${rootId}/${a.id}`}
                  aria-current="page"
                  class="fr-sidemenu__link router-link-exact-active router-link-active"
                  id={`sidemenu__link-${a.id}`}
                  target="_self"
                >
                  {a.title}
                </a>
              )}
              {!a.pages?.length && id !== a.id && (
                <a
                  href={`/${rootId}/${a.id}`}
                  class="fr-sidemenu__link"
                  id={`sidemenu__link-${a.id}`}
                  target="_self"
                >
                  {a.title}
                </a>
              )}
            </li>
          ))
        }
      </ul>
    </div>
  </div>
</nav>
